// Bandit Manchot, by Seb Luca, UNamur, June 2018

package com.projet.sluca.banditmanchot;

import android.app.Application;

// Classe contenant les variables globales utilisées au cours de plusieurs activités.
public class GlobalDatas extends Application
{
    // Variables globales :

    public Integer nbrVictories;
    public Integer nbrDefeats;
    public Integer crdWon;
    public Integer crdLost;
    public Integer credits;

    // Setters

    public void setNbrVictories(Integer nbrVictories) { this.nbrVictories = nbrVictories; }
    public void setNbrDefeats(Integer nbrDefeats)     { this.nbrDefeats   = nbrDefeats;   }
    public void setCreditsWon(Integer crdWon)         { this.crdWon       = crdWon;       }
    public void setCreditsLost(Integer crdLost)       { this.crdLost      = crdLost;      }
    public void setCredits(Integer credits)           { this.credits      = credits;      }

    // Getters

    public Integer getNbrVictories() { return nbrVictories; }
    public Integer getNbrDefeats()   { return nbrDefeats;   }
    public Integer getCreditsWon()   { return crdWon;       }
    public Integer getCreditsLost()  { return crdLost;      }
    public Integer getCredits()      { return credits;      }
}